## 👌 Kubernetes version support

- Management Cluster: v1.23.x -> v1.27.x
- Workload Cluster: v1.21.x -> v1.27.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Changes since v1.4.5
---
## :chart_with_upwards_trend: Overview
- 20 new commits merged
- 9 bugs fixed 🐛

## :bug: Bug Fixes
- CAPBK: Certificate paths in cloud-init scripts should not use a platform-dependent path separator (#9231)
- CAPD: Delete container after failed start to work around port allocation issues (#9131)
- ClusterClass: Add topology-owned label to MachineHealthChecks. (#9203)
- ClusterClass: Fix ClusterClass enqueue for ExtensionConfig (#9138)
- Devtools: Fix tilt-prepare leader-elect setting (#9317)
- KCP: Allow unsetting useExperimentalRetryJoin field from KubeadmControlPlane (#9201)
- MachineDeployment: MD controller: use regular random suffix for MachineSets, ensure max length 63 (#9330)
- util: Fix AddAnnotations for unstructured.Unstructured (#9178)

## :seedling: Others
- CAPD: Fix multi error handling in RunContainer (#9242)
- CI: Add verify-govulncheck and verify-vulnerabilities targets and integrate to scan action (#9180)
- CI: Update base branch for link checker (#9206)
- Dependency: Bump corefile-migration library to v1.0.21 (#9310)
- Dependency: Bump golang.org/x/net to v0.13.0 (#9123)
- Dependency: Bump to Go 1.19.12 (#9106)
- Dependency: Update cert-manager to v1.12.3 (#9199)
- logging: Fix patch errors not being logged (#9235)

:book: Additionally, there have been 4 contributions to our documentation and book. (#9333, #9245, #9155, #9118) 


_Thanks to all our contributors!_ 😊
