## 👌 Kubernetes version support

- Management Cluster: v1.23.x -> v1.27.x
- Workload Cluster: v1.21.x -> v1.27.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Changes since v1.4.8
## :chart_with_upwards_trend: Overview
- 15 new commits merged
- 5 bugs fixed 🐛

## :bug: Bug Fixes
- CAPD: Fix DockerMachine panic (#9690)
- clusterctl: Fix provider namespace secret not included in clusterctl move (#9749)
- ClusterResourceSet: Requeue after 1 minute if ErrClusterLocked got hit (#9809)
- KCP: Allow dropping patches KubeadmControlPlane KubeadmConfig (#9700)
- Runtime SDK: Set User Agent for test extension correctly (#9751)

## :seedling: Others
- CAPD: Set Condition, if creating external LB failed. (#9712)
- Dependency: Bump cert-manager to v1.13.2 (#9657)
- Dependency: Bump controller runtime to v1.14.7 (#9625)
- Dependency: Bump github.com/docker/docker from 24.0.5 to 24.0.7 (#9674)
- Dependency: Bump Go version to v1.20.11 (#9687)
- Dependency: Bump golang.org/grpc to v1.59.0 (#9628)
- Dependency: Fix delve version in Tiltfile (#9701)
- e2e: Improve output of exec.KubectlApply (#9766)
- KCP: Support admin config for Kubeadm v1.29 (#9685)
- Release: Revert "Improve release staging build speed" (#9763)


_Thanks to all our contributors!_ 😊
