## 👌 Kubernetes version support

- Management Cluster: v1.24.x -> v1.28.x
- Workload Cluster: v1.22.x -> v1.28.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Changes since v1.5.0
---
## :chart_with_upwards_trend: Overview
- 35 new commits merged
- 2 feature additions ✨
- 10 bugs fixed 🐛

## :sparkles: New Features
- MachineSet: Adjust preflight check to allow kubelet version skew of 3 for clusters running v1.28 and above (#9233)
- Testing/documentation: v1.28: Prepare quickstart, capd and tests for the new release including kind bump (#9225)

## :bug: Bug Fixes
- CAPBK: Certificate paths in cloud-init scripts should not use a platform-dependent path separator (#9230)
- CAPD: Delete container after failed start to work around port allocation issues (#9130)
- ClusterClass: Add topology-owned label to MachineHealthChecks. (#9204)
- ClusterClass: Fix ClusterClass enqueue for ExtensionConfig (#9137)
- Devtools: Fix tilt-prepare leader-elect setting (#9316)
- e2e: Pin conformance image to a version which includes a fix for the dualstack tests (#9256)
- KCP: Allow unsetting useExperimentalRetryJoin field from KubeadmControlPlane (#9202)
- MachineDeployment: MD controller: use regular random suffix for MachineSets, ensure max length 63 (#9329)
- util: Fix AddAnnotations for unstructured.Unstructured (#9176)

## :seedling: Others
- CAPD: Fix multi error handling in RunContainer (#9243)
- CI: Add verify-govulncheck and verify-vulnerabilities targets and integrate to scan action (#9179)
- CI: Update base branch for link checker (#9207)
- clusterctl: Set controller-runtime logger for clusterctl (#9129)
- clusterctl: Update cert-manager to v1.12.3 (#9198)
- Dependency: Bump controller-runtime to v0.15.1 (#9127)
- Dependency: Bump corefile-migration library to v1.0.21 (#9309)
- Dependency: Bump envtest binaries to 1.28 (#9304)
- Dependency: Bump golang.org/x/net to v0.13.0 (#9122)
- Dependency: Bump to Go 1.20.7 (#9105)
- e2e: Add back flavor to Waiter interface (#9177)
- e2e: Add CRS re-reconcile to ownerReference test (#9301)
- e2e: Add test for ownerReference apiVersion update (#9297)
- e2e: Refactor e2e ownerRef test utils (#9314)
- e2e: Test and document controller ownerReferences (#9303)
- logging: Fix patch errors not being logged (#9234)

:book: Additionally, there have been 8 contributions to our documentation and book. (#9332, #9226, #9205, #9238, #9154, #9117, #9090, #9082)


_Thanks to all our contributors!_ 😊
