## 👌 Kubernetes version support

- Management Cluster: v1.24.x -> v1.28.x
- Workload Cluster: v1.22.x -> v1.28.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Changes since v1.5.1
---
## :chart_with_upwards_trend: Overview
- 19 new commits merged
- 1 feature addition ✨
- 4 bugs fixed 🐛

## :sparkles: New Features
- ClusterClass: Introduce NamingStrategy and allow generating names using go templates (#9428)

## :bug: Bug Fixes
- e2e: Fix autoscaler image repo (#9357)
- KCP: Fix KCP Controller reconcile always return error when workload cluster is unreachable (#9449)
- MachineHealthCheck: Fix excessive trace logging in the machine health check controller (#9426)
- Testing: Don't use v1alpha3 in clusterctl upgrade test (#9412)

## :seedling: Others
- ClusterClass: Improve Cluster variable defaulting/validation errors (#9479)
- ClusterClass: Improve message for TopologyReconciledCondition (#9401)
- Dependency: Bump cert-manager to v1.13.0 (#9413)
- Dependency: Bump to Go 1.20.8 (#9383)
- e2e: Bump autoscaler to v1.28.0 (#9351)
- KCP: Remove redundant GetRESTConfig in KCP Management.GetWorkloadCluster (#9451)
- Runtime SDK: Improve ClusterClass watch for ExtensionConfigs (#9356)

:book: Additionally, there have been 6 contributions to our documentation and book. (#9365, #9430, #9435, #9466, #9470, #9491) 


_Thanks to all our contributors!_ 😊
