## 👌 Kubernetes version support

- Management Cluster: v1.24.x -> v1.28.x
- Workload Cluster: v1.22.x -> v1.28.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Changes since v1.5.3
## :chart_with_upwards_trend: Overview
- 18 new commits merged
- 6 bugs fixed 🐛

## :bug: Bug Fixes
- CAPD: Fix DockerMachine panic (#9689)
- CI: Fix reporting bug in verify-container-image script (#9677)
- clusterctl: Fix provider namespace secret not included in clusterctl move (#9746)
- ClusterResourceSet: Requeue after 1 minute if ErrClusterLocked got hit (#9787)
- KCP: Allow dropping patches KubeadmControlPlane KubeadmConfig (#9699)
- Runtime SDK: Set User Agent for test extension correctly (#9750)

## :seedling: Others
- CAPD: Set Condition, if creating external LB failed. (#9711)
- Dependency: Bump cert-manager to v1.13.2 (#9658)
- Dependency: Bump controller runtime to v1.15.3 (#9624)
- Dependency: Bump github.com/docker/docker from 24.0.5 to 24.0.7 (#9675)
- Dependency: Bump Go version to v1.20.11 (#9686)
- Dependency: Bump golang.org/grpc to v1.59.0 (#9627)
- Dependency: Bump opentelemetry to fix CVEs (#9710)
- e2e: Improve output of exec.KubectlApply (#9765)
- KCP: Support admin config for Kubeadm v1.29 (#9684)
- Release: Remove auto-labelling for clusterctl (#9659)
- Release: Revert "Improve release staging build speed" (#9764)

:book: Additionally, there has been 1 contribution to our documentation and book. (#9722) 


_Thanks to all our contributors!_ 😊
