## 👌 Kubernetes version support

- Management Cluster: v1.25.x -> v1.29.x
- Workload Cluster: v1.23.x -> v1.29.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Highlights

* Kubernetes v1.29 is now supported

## Changes since v1.6.0
## :chart_with_upwards_trend: Overview
- 30 new commits merged
- 1 feature addition ✨
- 9 bugs fixed 🐛

## :sparkles: New Features
- Control-plane: KCP: Allow mutation of all fields that should be mutable (#9884)

## :bug: Bug Fixes
- CAPD: Fix ignition to also set the kube-proxy configuration to skip setting sysctls (#9895)
- clusterctl: Validate no objects exist from CRDs before deleting them (#9834)
- e2e: Make MachinePools and MachineDeployments optional in ApplyClusterTemplateAndWait (#9962)
- e2e: Test: Fix finalizers test to not only rely on namespaced name (#10004)
- e2e: Test: wait for topology to get rolled out before continuing with scaling checks (#9827)
- IPAM: Fix webhooks using mixed api versions (#9863)
- Logging: Improve log k/v pairs and a improve/drop a few log lines (#9880)
- MachinePool: Fix TestReconcileMachinePoolScaleToFromZero flakes (#9822)
- Testing: SSA: fix flaky test TestPatch/Test patch with Machine (#9915)

## :seedling: Others
- CI: Bump kubebuilder envtest to 1.29.0 (#10014)
- Dependency: Bump golang.org/x/crypto to v0.17.0 (#9943)
- Dependency: Bump to Go 1.20.12 (#9841)
- Dependency: Go.mod: bump github.com/cloudflare/circl to v1.3.7 (#10002)
- e2e: Add DeepCopy method for E2EConfig (#9989)
- e2e: Add test util to resolve Kubernetes versions (#9996)
- e2e: Bump cluster-autoscaler to v1.29.0 (#9948)
- e2e: Drop duplicated scale test (#9976)
- e2e: Make etcd and CoreDNS optional in upgrade and self-hosted tests (#9965)
- e2e: Test/framework add WatchDaemonSetLogsByLabelSelector method (#9994)
- Testing: add dynamic finalizer assertions for e2e framework (#10003)]
- Testing: v1.29: Prepare quickstart, capd and tests for the new release including kind bump (#9890)

:book: Additionally, there have been 8 contributions to our documentation and book. (#9815, #9816, #9824, #9830, #9878, #9902, #9951, #9979) 


_Thanks to all our contributors!_ 😊
