## 👌 Kubernetes version support

- Management Cluster: v1.25.x -> v1.29.x
- Workload Cluster: v1.23.x -> v1.29.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Highlights
* :warning: Warning: This release fixes a bug (#10051) that was introduced in v1.6.0, which caused a regression in the conversion of v1alpha3/v1alpha4 objects. It is recommended to upgrade to v1.6.2 to avoid the issue.

## Changes since v1.6.1
## :chart_with_upwards_trend: Overview
- 16 new commits merged
- 3 bugs fixed 🐛

## :bug: Bug Fixes
- [API/e2e]: Restore v1alpha3/v1alpha4 conversion to fix SSA issue & add e2e test coverage (#10151)
  - :warning: Warning: This change is a fix for the conversion bug that was introduced in v1.6.0.
- ClusterCacheTracker: Fix ClusterCacheTracker memory leak (#10064)
- Machine: Watch external objects for machine before deleting (#10177)

## :seedling: Others
- clusterctl: Bump cert-manager to v1.14.2 (#10120) (#10127)
- clusterctl: Clarify rules for adding new clusterctl default providers (#10109)
- Community meeting: Promote chrischdi to Cluster API maintainer (#10089)
- Dependency: Bump controller runtime v0.16.5 (#10163)
- Dependency: Bump Go to 1.21.5 (#10152)
- e2e: Use manager in test extension (#10106)
- Testing: Print conformance image used in kubetest (#10081)

:book: Additionally, there have been 4 contributions to our documentation and book. (#10024, #10047, #10105, #10116)


_Thanks to all our contributors!_ 😊
