🚨 This is a RELEASE CANDIDATE. Use it only for testing purposes. If you find any bugs, file an [issue](https://github.com/kubernetes-sigs/cluster-api/issues/new).
## Highlights

* Enable kubeadm feature gates mutation
* Add public function to create new CRD migrator
* Add MachineSetReady condition to MachineDeployment

## Changes since v1.7.0-beta.1
## :chart_with_upwards_trend: Overview
- 16 new commits merged
- 1 breaking change :warning:
- 1 feature addition ✨
- 5 bugs fixed 🐛

## :warning: Breaking Changes
- MachinePool: Set MachinePool feature flag default to true + Beta (#10141)

## :sparkles: New Features
- Release: Add release notes expander functionality (#10091)

## :bug: Bug Fixes
- ClusterClass: Fix for TestServerSideApplyWithDefaulting (#10307)
- ClusterClass: Improve handling of topology orphaned objects (#10277)
- e2e: Fix clusterctl upgrade e2e tests (enable CRS) (#10340)
- Runtime SDK: Fix ClusterClass variables status & RuntimeExtension and add test coverage (#10337)
- Testing: Fix using corerect testing.T when creating gomega object (#10342)

## :seedling: Others
- Release: Determine release type from tag to also handle beta releases (#10324)
- Runtime SDK: Enable integration tests of RuntimeExtensions (#10330)

## Dependencies

### Added
_Nothing has changed._

### Changed
- go.etcd.io/etcd/api/v3: v3.5.12 → v3.5.13
- go.etcd.io/etcd/client/pkg/v3: v3.5.12 → v3.5.13
- go.etcd.io/etcd/client/v3: v3.5.12 → v3.5.13

### Removed
_Nothing has changed._

<details>
<summary>More details about the release</summary>

:warning: **RELEASE CANDIDATE NOTES** :warning:
## 👌 Kubernetes version support

- Management Cluster: v1.26.x -> v1.29.x
- Workload Cluster: v1.24.x -> v1.29.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Changes since v1.6.0
## :chart_with_upwards_trend: Overview
- 323 new commits merged
- 5 breaking changes :warning:
- 12 feature additions ✨
- 42 bugs fixed 🐛

## :memo: Proposals
- MachinePool: Update MachinePool Machines proposal with diagrams (#9664)

## :warning: Breaking Changes
- API: Remove v1alpha4 API Version (#9939)
- Dependency: Bump to controller-runtime v0.17.0 & k8s.io v0.29 (#9964)
- Logging: Make event recorder names consistent for KCP and topology controller (#9862)
- MachinePool: Set MachinePool feature flag default to true + Beta (#10141)
- KCP/MachineSet: Objects generated by KCP, MachineSets and MachinePools will now consistently use machine name (#9833)

## :sparkles: New Features
- API: Enable kubeadm feature gates mutation (#10154)
- clusterctl: Add k0smotron provider (#9991)
- clusterctl: Add public function to create new CRD migrator (#10075)
- Control-plane: Allow mutation of all fields that should be mutable (#9871)
- MachineDeployment: Add MachineSetReady condition to MachineDeployment (#9262)
- MachineDeployment: Taint nodes with PreferNoSchedule during rollouts (#10223)
- MachineHealthCheck: implement annotation to manually mark machines for remediation (#10202)
- Release: Add utility to create git issues on provider repo (#9110)
- Release: Add dependencies section to release notes tool (#10043)
- Release: Add release notes expander functionality (#10091)
- Testing: Resolve release markers (#9265)
- Testing: Prepare quickstart, capd and tests for the new release including kind bump (#9872)

## :bug: Bug Fixes
- API: Use ptr instead of own implementation (#10276)
- API/e2e: Restore v1alpha3/v1alpha4 conversion to fix SSA issue & add e2e test coverage (#10147)
- CABPK: Only refresh bootstrap token if needed, requeue in all cases where node hasn't joined yet (#9229)
- CAPD: Fix ignition to also set the kube-proxy configuration to skip setting sysctls (#9894)
- CAPD: Remove --enable-hostpath-provisioner flag (#10271)
- CAPD: Remove duplicate fix for btrfs/zfs support (#8376)
- ClusterCacheTracker: Fix ClusterCacheTracker memory leak (#9543)
- ClusterCacheTracker: Use RequeueAfter instead of immediate requeue on ErrClusterLocked to not have exponentially increasing requeue time (#9810)
- ClusterClass: Fix for TestServerSideApplyWithDefaulting (#10307)
- ClusterClass: Improve handling of topology orphaned objects (#10277)
- clusterctl: Move handlePlugins function call out of init to allow debugging tests (#10200)
- clusterctl: Validate no objects exist from CRDs before deleting them (#9808)
- ClusterResourceSet: Requeue after 1 minute if ErrClusterLocked got hit (#9777)
- Control-plane: KCP should defer remediation when a control plane machine is still provisioning (#9734)
- Devtools: Show default cluster-template (#9820)
- e2e: Add wait for MachineList to be available (#10301)
- e2e: fix unset GINKGO_FOCUS variable (#10085)
- e2e: Fix clusterctl upgrade e2e tests (enable CRS) (#10340)
- e2e: Make MachinePools and MachineDeployments optional in ApplyClusterTemplateAndWait (#9960)
- e2e: Re-introduce exclude capi-webhook-system to fix test flake (#10157)
- e2e: Calculate correct worker count in clusterctl upgrade test (#9892)
- e2e: Fix finalizers test to not only rely on namespaced name (#9891)
- e2e: retry GetOwnerGraph in owner references test on certificate errors (#10201)
- IPAM: Fix webhooks using mixed api versions (#9861)
- KCP: Skip checking `clusterConfiguration.dns` fields when KCP checking MachineNeedRollout (#9857)
- Logging: Improve log k/v pairs and a improve/drop a few log lines (#9813)
- Machine: Bubble up machine drain condition in `MachinesReadyCondition` (#9355)
- Machine: Watch external objects for machine before deleting (#10041)
- MachinePool: Fix TestReconcileMachinePoolScaleToFromZero flakes (#9745)
- Release: Fix Community meeting area formatting in release notes (#9784)
- Release: Fix defaulting logic in release notes tool (#9958)
- Release: Fix documentation area comparison in release notes (#9769)
- Release: Fix kubeadm bootstrap prefix in release notes (#9814)
- Release: Fix wrong branch name display for weekly update script (#9918)
- Runtime SDK: Fix ClusterClass variables status & RuntimeExtension and add test coverage (#10337)
- Runtime SDK: Use keys/values structured log interface (#9998)
- Testing: Fix using corerect testing.T when creating gomega object (#10342)
- Testing: Revert "Watch for Cluster resources in topology MD controller" (#9985)
- Testing: Reverting ginkgo.show-node-events to ginkgo.progress (#10214)
- Testing: fix flaky test TestPatch/Test patch with Machine (#9914)
- Testing: wait for topology to get rolled out before continuing with scaling checks (#9819)
- util: Add tests and update provider_issues.go (#10264)

## :seedling: Others
- API: Stop relying on GVK being set on regular typed objects (#9956)
- Bootstrap: Add MachinePool test for switching bootstrap config to another ready/non-ready object with different name (#9616)
- CABPK: Add pod metadata to capbk manager (#10208)
- CAPD: make docker machine bootstrap timeout configurable (#9952)
- CAPD: Remove requeues in DockerMachinePool (#9725)
- CAPD: Support configuring ExtraPortMappings for the kind cluster (#10046)
- CAPIM: Add namespaces to the list of resource handled by the in-memory API server (#10297)
- CAPIM: Allow using different resource group and listener name with the in memory server (#10096)
- CAPIM: Make in memory API server more tolerant when starting (#10211)
- CAPIM: Make in memory runtime and server accessible from outside (#9986)
- CAPIM: use port only to identify the wcl to make port-forward… (#10245)
- CI: Add fail fast to DumpResourcesForCluster in case of no route to host (#10204)
- CI: Added go directive test (#10261)
- CI: Bump conversion-gen to v0.29.0 (#10012)
- CI: Bump go-apidiff to v0.8.2 (#10011)
- CI: Bump govulncheck to v1.0.4 (#10274)
- CI: Bump kpromo to v4.0.5 (#10140)
- CI: Bump kubebuilder envtest to 1.29.0 (#10013)
- CI: DumpResourcesForCluster should fail fast for i/o errors (#10238)
- CI: Ensure build images contains correct binary and for correct architecture (#9932)
- CI: Fix Make target generate-go-openapi (#10161)
- CI: Fix TestPatchNode flake (#10287)
- CI: Hack/prowjob-gen skip creating empty files (#10022)
- CI: implement generator for prowjobs (#9937)
- CI: bump dependencies (#10236)
- CI: bump WorkloadKubernetesVersion for v1.6 clusterctl upgrade test (#10017)
- CI: adjust capd dockerfile so the binary exposes the package in the built binraries path variable (#10030)
- CI: Update GH actions to work with new release-1.6 branch (#9708)
- ClusterClass: Add ClusterClass variables metadata (#10308)
- ClusterClass: Add unit tests for MachinePools for webhooks and cc controller (#10055)
- ClusterClass: Add unit tests for MachinePools in topology/scope package (#10052)
- ClusterClass: Implement topology validations for topology kubernetes version upgrades (#10063)
- ClusterClass: use the alias for ClusterCacheTrackerReader instead of the internal reference (#10309)
- clusterctl: Add 0 default to worker-machine-count help (#10203)
- clusterctl: Add completion for fish shell (#9950)
- clusterctl: Add hivelocity infra provider to clusterctl (#10168)
- clusterctl: Add in-cluster ipam provider (#8811)
- clusterctl: Add Proxmox provider quickstart (#9798)
- clusterctl: Better verbose logging on override path (#10180)
- clusterctl: Bump cert-manager to 1.14.2 (#10126)
- clusterctl: Bump cert-manager to 1.14.4 (#10267)
- clusterctl: Bump cert-manager to v1.14.1 (#10113)
- clusterctl: Clarify rules for adding new clusterctl default providers (#9975)
- clusterctl: Deprecate clusterctl alpha topology plan (#10139)
- clusterctl: Replace context.TODO() from clusterctl proxy.go (#9776)
- Community meeting: Move CecileRobertMichon to emeritus (#10042)
- Community meeting: Move ykakarap to emeritus approvers (#10000)
- Community meeting: Promote chrischdi to Cluster API maintainer (#9997)
- Dependency: Bump `github.com/docker/docker` from 24.0.7 -> 25.0.0 (#10057)
- Dependency: Bump `golangci-lint` to v1.56.1 (#10124)
- Dependency: Bump controller-runtime to v0.17.1 (#10131)
- Dependency: Bump controller-runtime to v0.17.2 (#10162)
- Dependency: Bump controller-tools to v0.14 (#9987)
- Dependency: Bump crypto dep version (#9938)
- Dependency: Bump github.com/onsi/ginkgo/v2 from 2.16.0 to 2.17.0 (#10284)
- Dependency: Bump github.com/onsi/gomega from 1.31.1 to 1.32.0 (#10285)
- Dependency: Bump Go to 1.21.5 (#9900)
- Dependency: Bump go version to 1.21.8 (#10235)
- Dependency: Bump kind version to v0.22.0 (#10094)
- Dependency: Bump protobuf to v1.33.0 to address CVEs (#10248)
- Dependency: Bump the kubernetes group to v0.28.5 (#9933)
- Dependency: Bump the kubernetes group with 8 updates (#10286)
- Dependency: Bump to Go 1.20.12 (#9840)
- Dependency: bump github.com/cloudflare/circl to v1.3.7 (#10001)
- Devtools: Add missing folder to clean-tilt make target (#9934)
- Devtools: Allow tilt provider with pre-build images (#10244)
- Devtools: Explicitly set golangci config for sub modules (#9821)
- Devtools: Fix variables names in Tiltfile (#9811)
- Devtools: Implement privileged namespace security policy update for tilt-prepare (#10178)
- Devtools: Simplify testing nightly builds with clusterctl (#10018)
- Devtools: Small improvements to tilt (#9936)
- e2e: Add conformance e2e tests (#10060)
- e2e: Add DeepCopy method for E2EConfig (#9988)
- e2e: Add PostCreateNamespace hook to E2E tests (#10067)
- e2e: Add test util to resolve Kubernetes versions (#9995)
- e2e: Allow to specify cluster name for E2E quick-start (#10088)
- e2e: Bump cluster-autoscaler to v1.29.0 (#9942)
- e2e: Drop duplicated scale test (#9968)
- e2e: Fix ci-latest test to actually use ci latest (#10080)
- e2e: Fix CRS e2e helper with multiple bindings (#10191)
- e2e: Improve output of exec.KubectlApply (#9737)
- e2e: Make etcd and CoreDNS optional in upgrade and self-hosted tests (#9963)
- e2e: Test/framework add WatchDaemonSetLogsByLabelSelector method (#9984)
- e2e: expose CopyAndAmendClusterctlConfig function (#10086)
- e2e: combine Finalizers tests to default quick start tests (#10039)
- e2e: Use --wait-providers in test framework InitWithBinary func (#10149)
- e2e: Use manager in test extension (#10097)
- e2e: Add scale testing for upgrades (#9077)
- Machine: Be more explicit when skipping node deletion (#10137)
- Machine: Mark Machine healthy condition as unknown if we can't list wl nodes (#9864)
- MachineDeployment: Set revision on machinedeployment and patch via defer (#10160)
- MachinePool: Use SSA Patch to create machines in MP controller (#9791)
- MachineSet: improve replica defaulting for autoscaler (#9649)
- Dependency/Security: Bump github.com/docker/docker from 25.0.4+incompatible to 25.0.5+incompatible (#10302)
- KCP/MachineSet: remove hardcoded WithStepCounterIf(false) (#9772)
- Release: Add integration test for release notes tool (#9617)
- Release: Bump kubebuilder-release-tools to v0.4.3 (#9818)
- Release: Changelog entry to include cert-manager to v1.14.2 (#10188)
- Release: Determine release type from tag to also handle beta releases (#10324)
- Release: Fix dockerfile for clusterctl build (#10058)
- Release: Fix grammar in release script (#9981)
- Release: Improve release-staging build (#10095)
- Release: Improve weekly PR update generation script and documentation (#10092)
- Release: Make release notes tool not dependent on local git (#9618)
- Release: Prep main branch for v1.7 development (#9799)
- Release: Provide faster support for new k8s minor releases (#9971)
- Release: Read in dockerfiles from stdin (#9990)
- Release: Release v1.5.7 (#10251)
- Release: Release v1.6.3 (#10252)
- Release: Swap in new 1.7 RT members in OWNERS (#9855)
- Runtime SDK: Add more helper functions in topologymutation varaible.go to help unmarshal variables (#9670)
- Runtime SDK: Enable integration tests of RuntimeExtensions (#10330)
- Testing: Drop policy v1beta1 API support in the testing framework (#10158)
- Testing: Drop unused runtime features for the in-memory provider (#9778)
- Testing: Fix typo in test framework (#9873)
- Testing: Fixing kubetest warnings for deprecations (#10172)
- Testing: Print conformance image used in kubetest (#10076)
- Testing: Remove k8s.io/utils/pointer from repository (#9836)
- Testing: Small improvements to the inmemory api server (#9935)
- Testing: add dynamic finalizer assertions for e2e framework (#9970)
- Testing: Watch for Cluster resources in topology MachineSet & MachineDeployment controllers (#10029)
- Testing: Watch for Cluster resources in topology MD controller (#9865)
- util: Improve patch helper error handling (#9946)
- util: Use min/max funcs from Go SDK (#9945)

:book: Additionally, there have been 50 contributions to our documentation and book. (#10005, #10031, #10040, #10061, #10066, #10068, #10084, #10099, #10100, #10115, #10122, #10170, #10174, #10194, #10239, #10257, #10268, #10288, #10289, #10323, #10329, #10334, #9585, #9640, #9767, #9771, #9779, #9782, #9786, #9794, #9797, #9801, #9817, #9829, #9831, #9838, #9856, #9866, #9867, #9868, #9876, #9896, #9897, #9908, #9941, #9949, #9957, #9961, #9972, #9993) 

## Dependencies

### Added
- github.com/matttproud/golang_protobuf_extensions/v2: [v2.0.0](https://github.com/matttproud/golang_protobuf_extensions/tree/v2.0.0)

### Changed
- cloud.google.com/go/accessapproval: v1.7.1 → v1.7.4
- cloud.google.com/go/accesscontextmanager: v1.8.1 → v1.8.4
- cloud.google.com/go/aiplatform: v1.48.0 → v1.52.0
- cloud.google.com/go/analytics: v0.21.3 → v0.21.6
- cloud.google.com/go/apigateway: v1.6.1 → v1.6.4
- cloud.google.com/go/apigeeconnect: v1.6.1 → v1.6.4
- cloud.google.com/go/apigeeregistry: v0.7.1 → v0.8.2
- cloud.google.com/go/appengine: v1.8.1 → v1.8.4
- cloud.google.com/go/area120: v0.8.1 → v0.8.4
- cloud.google.com/go/artifactregistry: v1.14.1 → v1.14.6
- cloud.google.com/go/asset: v1.14.1 → v1.15.3
- cloud.google.com/go/assuredworkloads: v1.11.1 → v1.11.4
- cloud.google.com/go/automl: v1.13.1 → v1.13.4
- cloud.google.com/go/baremetalsolution: v1.1.1 → v1.2.3
- cloud.google.com/go/batch: v1.3.1 → v1.6.3
- cloud.google.com/go/beyondcorp: v1.0.0 → v1.0.3
- cloud.google.com/go/bigquery: v1.53.0 → v1.57.1
- cloud.google.com/go/billing: v1.16.0 → v1.17.4
- cloud.google.com/go/binaryauthorization: v1.6.1 → v1.7.3
- cloud.google.com/go/certificatemanager: v1.7.1 → v1.7.4
- cloud.google.com/go/channel: v1.16.0 → v1.17.3
- cloud.google.com/go/cloudbuild: v1.13.0 → v1.14.3
- cloud.google.com/go/clouddms: v1.6.1 → v1.7.3
- cloud.google.com/go/cloudtasks: v1.12.1 → v1.12.4
- cloud.google.com/go/compute: v1.23.0 → v1.23.3
- cloud.google.com/go/contactcenterinsights: v1.10.0 → v1.11.3
- cloud.google.com/go/container: v1.24.0 → v1.27.1
- cloud.google.com/go/containeranalysis: v0.10.1 → v0.11.3
- cloud.google.com/go/datacatalog: v1.16.0 → v1.18.3
- cloud.google.com/go/dataflow: v0.9.1 → v0.9.4
- cloud.google.com/go/dataform: v0.8.1 → v0.9.1
- cloud.google.com/go/datafusion: v1.7.1 → v1.7.4
- cloud.google.com/go/datalabeling: v0.8.1 → v0.8.4
- cloud.google.com/go/dataplex: v1.9.0 → v1.11.1
- cloud.google.com/go/dataproc/v2: v2.0.1 → v2.2.3
- cloud.google.com/go/dataqna: v0.8.1 → v0.8.4
- cloud.google.com/go/datastore: v1.13.0 → v1.15.0
- cloud.google.com/go/datastream: v1.10.0 → v1.10.3
- cloud.google.com/go/deploy: v1.13.0 → v1.14.2
- cloud.google.com/go/dialogflow: v1.40.0 → v1.44.3
- cloud.google.com/go/dlp: v1.10.1 → v1.11.1
- cloud.google.com/go/documentai: v1.22.0 → v1.23.5
- cloud.google.com/go/domains: v0.9.1 → v0.9.4
- cloud.google.com/go/edgecontainer: v1.1.1 → v1.1.4
- cloud.google.com/go/essentialcontacts: v1.6.2 → v1.6.5
- cloud.google.com/go/eventarc: v1.13.0 → v1.13.3
- cloud.google.com/go/filestore: v1.7.1 → v1.7.4
- cloud.google.com/go/firestore: v1.13.0 → v1.14.0
- cloud.google.com/go/functions: v1.15.1 → v1.15.4
- cloud.google.com/go/gkebackup: v1.3.0 → v1.3.4
- cloud.google.com/go/gkeconnect: v0.8.1 → v0.8.4
- cloud.google.com/go/gkehub: v0.14.1 → v0.14.4
- cloud.google.com/go/gkemulticloud: v1.0.0 → v1.0.3
- cloud.google.com/go/gsuiteaddons: v1.6.1 → v1.6.4
- cloud.google.com/go/iam: v1.1.1 → v1.1.5
- cloud.google.com/go/iap: v1.8.1 → v1.9.3
- cloud.google.com/go/ids: v1.4.1 → v1.4.4
- cloud.google.com/go/iot: v1.7.1 → v1.7.4
- cloud.google.com/go/kms: v1.15.0 → v1.15.5
- cloud.google.com/go/language: v1.10.1 → v1.12.2
- cloud.google.com/go/lifesciences: v0.9.1 → v0.9.4
- cloud.google.com/go/logging: v1.7.0 → v1.8.1
- cloud.google.com/go/longrunning: v0.5.1 → v0.5.4
- cloud.google.com/go/managedidentities: v1.6.1 → v1.6.4
- cloud.google.com/go/maps: v1.4.0 → v1.6.1
- cloud.google.com/go/mediatranslation: v0.8.1 → v0.8.4
- cloud.google.com/go/memcache: v1.10.1 → v1.10.4
- cloud.google.com/go/metastore: v1.12.0 → v1.13.3
- cloud.google.com/go/monitoring: v1.15.1 → v1.16.3
- cloud.google.com/go/networkconnectivity: v1.12.1 → v1.14.3
- cloud.google.com/go/networkmanagement: v1.8.0 → v1.9.3
- cloud.google.com/go/networksecurity: v0.9.1 → v0.9.4
- cloud.google.com/go/notebooks: v1.9.1 → v1.11.2
- cloud.google.com/go/optimization: v1.4.1 → v1.6.2
- cloud.google.com/go/orchestration: v1.8.1 → v1.8.4
- cloud.google.com/go/orgpolicy: v1.11.1 → v1.11.4
- cloud.google.com/go/osconfig: v1.12.1 → v1.12.4
- cloud.google.com/go/oslogin: v1.10.1 → v1.12.2
- cloud.google.com/go/phishingprotection: v0.8.1 → v0.8.4
- cloud.google.com/go/policytroubleshooter: v1.8.0 → v1.10.2
- cloud.google.com/go/privatecatalog: v0.9.1 → v0.9.4
- cloud.google.com/go/recaptchaenterprise/v2: v2.7.2 → v2.8.3
- cloud.google.com/go/recommendationengine: v0.8.1 → v0.8.4
- cloud.google.com/go/recommender: v1.10.1 → v1.11.3
- cloud.google.com/go/redis: v1.13.1 → v1.14.1
- cloud.google.com/go/resourcemanager: v1.9.1 → v1.9.4
- cloud.google.com/go/resourcesettings: v1.6.1 → v1.6.4
- cloud.google.com/go/retail: v1.14.1 → v1.14.4
- cloud.google.com/go/run: v1.2.0 → v1.3.3
- cloud.google.com/go/scheduler: v1.10.1 → v1.10.4
- cloud.google.com/go/secretmanager: v1.11.1 → v1.11.4
- cloud.google.com/go/security: v1.15.1 → v1.15.4
- cloud.google.com/go/securitycenter: v1.23.0 → v1.24.2
- cloud.google.com/go/servicedirectory: v1.11.0 → v1.11.3
- cloud.google.com/go/shell: v1.7.1 → v1.7.4
- cloud.google.com/go/spanner: v1.47.0 → v1.51.0
- cloud.google.com/go/speech: v1.19.0 → v1.20.1
- cloud.google.com/go/storage: v1.14.0 → v1.35.1
- cloud.google.com/go/storagetransfer: v1.10.0 → v1.10.3
- cloud.google.com/go/talent: v1.6.2 → v1.6.5
- cloud.google.com/go/texttospeech: v1.7.1 → v1.7.4
- cloud.google.com/go/tpu: v1.6.1 → v1.6.4
- cloud.google.com/go/trace: v1.10.1 → v1.10.4
- cloud.google.com/go/translate: v1.8.2 → v1.9.3
- cloud.google.com/go/video: v1.19.0 → v1.20.3
- cloud.google.com/go/videointelligence: v1.11.1 → v1.11.4
- cloud.google.com/go/vision/v2: v2.7.2 → v2.7.5
- cloud.google.com/go/vmmigration: v1.7.1 → v1.7.4
- cloud.google.com/go/vmwareengine: v1.0.0 → v1.0.3
- cloud.google.com/go/vpcaccess: v1.7.1 → v1.7.4
- cloud.google.com/go/webrisk: v1.9.1 → v1.9.4
- cloud.google.com/go/websecurityscanner: v1.6.1 → v1.6.4
- cloud.google.com/go/workflows: v1.11.1 → v1.12.3
- cloud.google.com/go: v0.110.7 → v0.110.10
- github.com/cloudflare/circl: [v1.3.3 → v1.3.7](https://github.com/cloudflare/circl/compare/v1.3.3...v1.3.7)
- github.com/evanphx/json-patch/v5: [v5.7.0 → v5.9.0](https://github.com/evanphx/json-patch/compare/v5.7.0...v5.9.0)
- github.com/evanphx/json-patch: [v5.6.0+incompatible → v5.7.0+incompatible](https://github.com/evanphx/json-patch/compare/v5.6.0...v5.7.0)
- github.com/frankban/quicktest: [v1.14.4 → v1.14.6](https://github.com/frankban/quicktest/compare/v1.14.4...v1.14.6)
- github.com/fsnotify/fsnotify: [v1.6.0 → v1.7.0](https://github.com/fsnotify/fsnotify/compare/v1.6.0...v1.7.0)
- github.com/go-logr/logr: [v1.3.0 → v1.4.1](https://github.com/go-logr/logr/compare/v1.3.0...v1.4.1)
- github.com/go-logr/zapr: [v1.2.4 → v1.3.0](https://github.com/go-logr/zapr/compare/v1.2.4...v1.3.0)
- github.com/golang/mock: [v1.4.4 → v1.4.0](https://github.com/golang/mock/compare/v1.4.4...v1.4.0)
- github.com/golang/protobuf: [v1.5.3 → v1.5.4](https://github.com/golang/protobuf/compare/v1.5.3...v1.5.4)
- github.com/google/cel-go: [v0.16.1 → v0.17.7](https://github.com/google/cel-go/compare/v0.16.1...v0.17.7)
- github.com/google/uuid: [v1.3.1 → v1.4.0](https://github.com/google/uuid/compare/v1.3.1...v1.4.0)
- github.com/googleapis/enterprise-certificate-proxy: [v0.3.1 → v0.3.2](https://github.com/googleapis/enterprise-certificate-proxy/compare/v0.3.1...v0.3.2)
- github.com/googleapis/google-cloud-go-testing: [bcd43fb → 1c9a4c6](https://github.com/googleapis/google-cloud-go-testing/compare/bcd43fb...1c9a4c6)
- github.com/gorilla/websocket: [v1.4.2 → v1.5.0](https://github.com/gorilla/websocket/compare/v1.4.2...v1.5.0)
- github.com/nats-io/nats.go: [v1.30.2 → v1.31.0](https://github.com/nats-io/nats.go/compare/v1.30.2...v1.31.0)
- github.com/nats-io/nkeys: [v0.4.5 → v0.4.6](https://github.com/nats-io/nkeys/compare/v0.4.5...v0.4.6)
- github.com/onsi/ginkgo/v2: [v2.13.1 → v2.17.1](https://github.com/onsi/ginkgo/compare/v2.13.1...v2.17.1)
- github.com/onsi/gomega: [v1.30.0 → v1.32.0](https://github.com/onsi/gomega/compare/v1.30.0...v1.32.0)
- github.com/pkg/sftp: [v1.13.1 → v1.13.6](https://github.com/pkg/sftp/compare/v1.13.1...v1.13.6)
- github.com/prometheus/client_golang: [v1.17.0 → v1.18.0](https://github.com/prometheus/client_golang/compare/v1.17.0...v1.18.0)
- github.com/prometheus/client_model: [9a2bf30 → v0.5.0](https://github.com/prometheus/client_model/compare/9a2bf30...v0.5.0)
- github.com/prometheus/common: [v0.44.0 → v0.45.0](https://github.com/prometheus/common/compare/v0.44.0...v0.45.0)
- github.com/prometheus/procfs: [v0.11.1 → v0.12.0](https://github.com/prometheus/procfs/compare/v0.11.1...v0.12.0)
- github.com/sagikazarmark/crypt: [v0.15.0 → v0.17.0](https://github.com/sagikazarmark/crypt/compare/v0.15.0...v0.17.0)
- github.com/sagikazarmark/locafero: [v0.3.0 → v0.4.0](https://github.com/sagikazarmark/locafero/compare/v0.3.0...v0.4.0)
- github.com/spf13/afero: [v1.10.0 → v1.11.0](https://github.com/spf13/afero/compare/v1.10.0...v1.11.0)
- github.com/spf13/cast: [v1.5.1 → v1.6.0](https://github.com/spf13/cast/compare/v1.5.1...v1.6.0)
- github.com/spf13/viper: [v1.17.0 → v1.18.2](https://github.com/spf13/viper/compare/v1.17.0...v1.18.2)
- go.etcd.io/bbolt: v1.3.7 → v1.3.8
- go.etcd.io/etcd/api/v3: v3.5.10 → v3.5.13
- go.etcd.io/etcd/client/pkg/v3: v3.5.10 → v3.5.13
- go.etcd.io/etcd/client/v2: v2.305.9 → v2.305.10
- go.etcd.io/etcd/client/v3: v3.5.10 → v3.5.13
- go.etcd.io/etcd/pkg/v3: v3.5.9 → v3.5.10
- go.etcd.io/etcd/raft/v3: v3.5.9 → v3.5.10
- go.etcd.io/etcd/server/v3: v3.5.9 → v3.5.10
- go.uber.org/zap: v1.25.0 → v1.26.0
- golang.org/x/crypto: v0.15.0 → v0.21.0
- golang.org/x/lint: 83fdc39 → 910be7a
- golang.org/x/mod: v0.13.0 → v0.14.0
- golang.org/x/net: v0.18.0 → v0.22.0
- golang.org/x/oauth2: v0.14.0 → v0.18.0
- golang.org/x/sync: v0.4.0 → v0.6.0
- golang.org/x/sys: v0.14.0 → v0.18.0
- golang.org/x/term: v0.14.0 → v0.18.0
- golang.org/x/time: v0.3.0 → v0.5.0
- golang.org/x/tools: v0.14.0 → v0.17.0
- google.golang.org/api: v0.143.0 → v0.153.0
- google.golang.org/genproto/googleapis/api: 007df8e → bbf56f3
- google.golang.org/genproto/googleapis/rpc: e6e6cda → 83a465c
- google.golang.org/genproto: 007df8e → bbf56f3
- google.golang.org/protobuf: v1.31.0 → v1.33.0
- honnef.co/go/tools: v0.0.1-2020.1.4 → v0.0.1-2019.2.3
- k8s.io/api: v0.28.4 → v0.29.3
- k8s.io/apiextensions-apiserver: v0.28.4 → v0.29.3
- k8s.io/apimachinery: v0.28.4 → v0.29.3
- k8s.io/apiserver: v0.28.4 → v0.29.3
- k8s.io/cli-runtime: v0.28.4 → v0.29.3
- k8s.io/client-go: v0.28.4 → v0.29.3
- k8s.io/cluster-bootstrap: v0.28.4 → v0.29.3
- k8s.io/code-generator: v0.28.4 → v0.29.3
- k8s.io/component-base: v0.28.4 → v0.29.3
- k8s.io/component-helpers: v0.28.4 → v0.29.3
- k8s.io/gengo: c0856e2 → 9cce18d
- k8s.io/klog/v2: v2.100.1 → v2.110.1
- k8s.io/kms: v0.28.4 → v0.29.3
- k8s.io/kube-openapi: 2695361 → 2dd684a
- k8s.io/kubectl: v0.28.4 → v0.29.3
- k8s.io/metrics: v0.28.4 → v0.29.3
- k8s.io/utils: d93618c → b307cd5
- sigs.k8s.io/apiserver-network-proxy/konnectivity-client: v0.1.2 → v0.28.0
- sigs.k8s.io/controller-runtime: v0.16.3 → v0.17.2
- sigs.k8s.io/structured-merge-diff/v4: v4.2.3 → v4.4.1

### Removed
- github.com/benbjohnson/clock: [v1.3.0](https://github.com/benbjohnson/clock/tree/v1.3.0)
- github.com/docker/distribution: [v2.8.3+incompatible](https://github.com/docker/distribution/tree/v2.8.3)
- github.com/google/martian/v3: [v3.1.0](https://github.com/google/martian/tree/v3.1.0)
- github.com/minio/highwayhash: [v1.0.2](https://github.com/minio/highwayhash/tree/v1.0.2)
- github.com/nats-io/jwt/v2: [v2.4.1](https://github.com/nats-io/jwt/tree/v2.4.1)
- go.opentelemetry.io/otel/exporters/otlp/internal/retry: v1.10.0

</details>
<br/>

_Thanks to all our contributors!_ 😊
