## 👌 Kubernetes version support

- Management Cluster: v1.**X**.x -> v1.**X**.x
- Workload Cluster: v1.**X**.x -> v1.**X**.x

[More information about version support can be found here](https://cluster-api.sigs.k8s.io/reference/versions.html)

## Highlights

* REPLACE ME

## Deprecation Warning

REPLACE ME: A couple sentences describing the deprecation, including links to docs.

* [GitHub issue #REPLACE ME](REPLACE ME)

## Changes since v1.4.0
## :chart_with_upwards_trend: Overview
- 339 new commits merged
- 4 breaking changes :warning:
- 19 feature additions ✨
- 67 bugs fixed 🐛

## :warning: Breaking Changes
- API: Stop serving v1alpha3 API types (#8549)
- CAPD: Use k8s v1.27.0 in quickstart docs and CAPD (#8518)
- clusterctl: Follow XDG Directory standard for config/data/... files (#6913)
- Dependency: Bump to CR v0.15.0 (#8007)

## :sparkles: New Features
- CABPK: Use caching read for bootstrap config owner (#8867)
- CAPIM: Enable Kubernetes upgrades in CAPIM (#8938)
- ClusterClass: Add support or concurrent MD upgrades in classy clusters (#8432)
- ClusterClass: Add webhook warning for missing ClusterClass (#8746)
- clusterctl: Add in memory provider (#8799)
- clusterctl: Add MachinePool Machine support in clusterctl discovery (#8836)
- clusterctl: Add support for add-on providers in clusterctl (#8472)
- clusterctl: Feat: accept resource mutators in Move operation (#7966)
- clusterctl: Introduce possibility to create clusterctl plugins (#8957)
- Devtools: Hack/observability bump kube-state-metrics chart to get version v2.9.2 (#8979)
- Devtools: Hack/observability: Add Parca, Bump observability tools, Add Grafana scale dashboard (#8754)
- Devtools: Hack/observability: improve dashboards (#8964)
- e2e: Ci: collect debug information about leftover processes (#8734)
- IPAM: Implements Getter interface for IPAddressClaim object (#8374)
- Machine: Enable configuring the kubernetes rest client timeout for draining nodes (#8917)
- MachinePool: Add MachinePool Machine implementation in core CAPI components (#8828)
- MachineSet: MS preflight checks to improve cluster stability (#8595)
- MULTIPLE_AREAS[KCP/Core/CAPD]: Add flags for configuring rate limits (#8579)
- util: Move mergeMap to util (#8377)

## :bug: Bug Fixes
- API: All: only set finalizers if deletionTimestamp is not set (#8949)
- API: Ensure ownerReference apiVersions are always up to date (#8256)
- CABPK: Ignition: start kubeadm after network.target (#8772)
- CABPK: Set uninitialized taint only on worker nodes (#8358)
- CAPD: Add kind mapper (#8880)
- CAPD: Change the haproxy entrypoint to prevent getting stopped immediately after start (#8685)
- CAPD: Delegate CAPD port selection to the container runtime (#8642)
- CAPD: Fix fail-swap-on=false flag not being part of kind images anymore (#8767)
- CAPD: Implement watch filter (#8789)
- CAPD: Test/capd: fix kind mapper entry for v1.25.11 (#8914)
- CAPIM: Fix cluster deletion in the in-memory API server (#8818)
- CAPIM: Fix inmemory provider docker build (#8822)
- CAPIM: Test/e2e/in-memory: set providerID after VM is provisioned (#8879)
- CI: Always build Kind images for upgrade tests (#8859)
- CI: Ensure ALWAYS_BUILD_KIND_IMAGES is defaulted correctly in ci script (#8873)
- CI: Verifier: use pull_request instead of pull_request_target (#8635)
- ClusterCacheTracker: Stop pod caching when checking workload cluster (#8850)
- ClusterClass: Avoid errors when MHC and upgrade occur together in classy clusters (#8464)
- ClusterClass: Drop uid from error messages (#8333)
- ClusterClass: Topology controller should avoid unnecessary rollouts during upgrades (#8628)
- ClusterClass: Update TopologyReconciled condition on cluster deletion (#8422)
- ClusterClass: Validate variables in defaulting webhook (#8332)
- clusterctl: Add soft ownership from clusters to ClusterResourceSetBinding (#8318)
- clusterctl: Ensure all GitHub releases are fetched when searching provider versions (#8240)
- clusterctl: Handle nil pointer in clusterctl describe (#8724)
- clusterctl: Return early if release for latest tag does not exist yet (#8253)
- clusterctl: Return error on infra cluster and control plane discovery (#8604)
- clusterctl: Use local kustomize version in create-local-repository.py (#8414)
- ClusterResourceSet: : Make sure the Kubernetes API Server service already created on remote cluster before applying ClusterResourceSets (#8048)
- ClusterResourceSet: Continue applying when apply for a single cluster failed (#8611)
- Dependency: Bump to docker v24.0.5-0.20230714235725-36e9e796c6fc (#9042)
- Dependency: Update kindnetd and kindest/haproxy (#8469)
- Devtools: Change tilt debug base image to golang (#9072)
- Devtools: Tilt: fix build_engine setting when using podman (#8972)
- Devtools: Tilt: set CR logger in tilt-prepare, fix allowed contexts (#8919)
- Devtools: Update clean-charts make target for new paths (#8904)
- e2e: Adjust machinepool helper e2e timeout (#8739)
- e2e: Fix length check in MD helper (#8352)
- e2e: Ignore cert annotation in rollout test (#8761)
- e2e: Increase timeout for clusterclass rollout test (#8897)
- e2e: Increased assertClusterObjects timeout (#8758)
- e2e: Pin kindest/node images to known good versions in clusterctl upgrade tests (#8860)
- e2e: Remove non-functioning ginkgo.no-color flag (#8703)
- e2e: Revert "Add calico as e2e test CNI" (#8575)
- e2e: Test/e2e check for machines being ready after provisioning on Runtime SDK test (#8625)
- e2e: Test/e2e: use topology cluster-template for clusterctl upgrade mgmt cluster (#8311)
- e2e: Test/framework fix docker pod log collector (#8634)
- IPAM: Fix gateway being required for IPAddress (#8506)
- KCP: Allow machine rollout if cert reconcile fails (#8711)
- KCP: Enable updates from CloudInit (mostly ubuntu) based KCPs to Ignition (flatcar) based KCPs (#8339)
- KCP: Ensure nil-pointer check in KCP syncMachines (#8481)
- KCP: Prevent KCP to create many private keys for each reconcile (#8617)
- KCP: Requeue KCP object if ControlPlaneComponentsHealthyCondition is not yet true (#9035)
- Machine: Bug fix to set node interruptible label (#8297)
- Machine: Fix node label propagation (#8427)
- MachinePool: Add node watcher to MachinePool controller (#8443)
- MachinePool: Always patch owned conditions, fix GetTypedPhase, doc fixes (#8627)
- MachinePool: Fix MachinePool node taint patching (#8462)
- MachinePool: Update MachinePool bootstrap dataSecretName when bootstrap config changes (#8667)
- Release: Alphabetically sorting release tool output (#9060)
- Release: Hack/release-notes: ensure relase notes tool can be used for external projects again (#9021)
- Testing: Catch failure when fetching component URLs (#8455)
- Testing: Fix flake in machine phases test (#8370)
- Testing: Fix flaky wait in CRS test (#8334)
- Testing: Internal/machine-controller fix flakes in phases test (#8576)
- Testing: Machine-controller: fix phase tests race condition in tests on lastUpdated field (#8484)
- Testing: Use CreateAndWait in MP ScaleFromZero test (#8927)

## :seedling: Others
- API: Deprecate v1alpha3 and v1alpha4 in CRDs (#8687)
- CABPK: Replace reflect deepequal in bootstrap kubeadm (#8266)
- CAPD: Automatically set kubelet args for capd (#8881)
- CAPD: Only ignore necessary kubeadm preflight errors (#7911)
- CAPIM: Add ClusterClass support for in-memory provider (#8807)
- CAPIM: Add startup timeout to the in memory provider (#8831)
- CAPIM: Add watch to in-memory server multiplexer (#8851)
- CAPIM: Enable update for coreDNS and kube-proxy (#8899)
- CAPIM: Fix readme for in-memory provider (#8905)
- CAPIM: Fixups for watch in in-memory apiServer (#8898)
- CAPIM: Improve etcd management in CAPIM (#8906)
- CAPIM: In-memory provider: add apiserver & etcd metrics (#8962)
- CAPIM: Test/e2e/in-memory: enable unit tests (#8886)
- CAPIM: Test/e2e/in-memory: improve locking, return errors instead of panic (#8945)
- CAPIM: Test/e2e/in-memory: improve performance by fixing locking issues (#8895)
- CAPIM: Test/e2e/in-memory: sync in-memory provider ClusterClass with test (#8892)
- CAPIM: Test/infra/inmemory: rename controller files (#8830)
- CI: Add area/dependency label for dependabot when bumping gomod (#8410)
- CI: Add dependency label to github actions update (#8845)
- CI: Switch cloudbuild.yaml to e2 machine type (#8428)
- CI: Verifier: change back to pull_request_target to make it work again (#8637)
- ClusterCacheTracker: Deprecate DefaultIndex usage and remove where not needed (#8855)
- ClusterCacheTracker: Ensure Get/List calls are not getting stuck when apiserver is unreachable (#9030)
- ClusterCacheTracker: Fix accessor deletion on health check failure (#9031)
- ClusterCacheTracker: Improve error when workload cluster is not reachable (#8801)
- ClusterCacheTracker: Use ClusterCacheTracker consistently (instead of NewClusterClient) (#8744)
- ClusterCacheTracker: Use rest config from ClusterCacheTracker consistently (#8894)
- ClusterClass: Cluster/topology: use cached Cluster get in Reconcile (#8936)
- ClusterClass: Cluster/topology: use cached MD list in get current state (#8922)
- ClusterClass: Deprecate rolloutAfter in cluster topology (#8324)
- ClusterClass: Upgrading control plane should only be blocked if MD are upgrading (not just rolling out) (#8658)
- clusterctl: Add CABPOCNE and CACPOCNE Providers (#9068)
- clusterctl: Add labels to OWNERS file (#8342)
- clusterctl: Add move annotation on objects for cluster move operation (#8322)
- clusterctl: Bump controller-tools to v0.12 (#8581)
- clusterctl: CAPIM: use consistent spelling for release artifacts (#8853)
- clusterctl: Drop cgroup-driver patch for CAPD (#8921)
- clusterctl: Fix spelling mistake in clusterctl comment (#8344)
- clusterctl: Prepare main branch for v1.5 development (#8430)
- clusterctl: Update cert-manager to v1.12.2 (#8883)
- Core: Cache unstructured in Cluster, MD and MS controller (#8916)
- Core: Remove unnecessary requeues (#8743)
- Dependency: Bump docker to v24.0.5 (#9065)
- Dependency: Bump docker/distribution to v2.8.2 (#8645)
- Dependency: Bump gcb-docker-gcloud from v20230424-910a2a439d to v20230522-312425ae46 (#8770)
- Dependency: Bump gcb-docker-gcloud image (#8570)
- Dependency: Bump github.com/emicklei/go-restful/v3  from 3.9.0 to 3.10.2 in /test (#9056)
- Dependency: Bump golang version (1.20.3 -> 1.20.4) (#8749)
- Dependency: Bump golangci-lint to 1.52.1 and fix findings (#8331)
- Dependency: Bump golangci-lint to v1.51.2 (#8312)
- Dependency: Bump kind to v0.19.0 (#8681)
- Dependency: Bump kindnet and haproxy images to latest (#8676)
- Dependency: Bump to Go 1.20.6 (#9058)
- Dependency: Update cert manager to v1.11.1 (#8529)
- Dependency: Update cert-manager to v1.11.2 (#8638)
- Dependency: Update cert-manager to v1.12.0 (#8702)
- Dependency: Update cert-manager to v1.12.1 (#8748)
- Dependency: Update controller runtime to 0.14.6 (#8405)
- Dependency: Update controller tools to v0.11.4 (#8547)
- Dependency: Update conversion-gen version (v0.26.0 -> v0.27.1) (#8573)
- Dependency: Update docker to v20.10.24 (#8475)
- Dependency: Update golangci-lint to v1.53.3 (#8796)
- Dependency: Update kind to v0.18.0 (#8433)
- Dependency: Update KIND to v0.20.0 (#8908)
- Dependency: Update kpromo to v3.5.2 (#8487)
- Dependency: Update kpromo to v3.6.0 (#8680)
- Dependency: Update kubebuilder envtest (1.26.0 -> 1.27.1) (#8599)
- Dependency: Upgrade golang version (1.19.6 -> 1.20.3) (#8527)
- Devtools: Add go.work to .gitignore and .dockerignore (#8155)
- Devtools: Align kind registry script with upstream (#8731)
- Devtools: All: Add flags to enable block profiling (#8934)
- Devtools: Build golangci-lint locally (#8933)
- Devtools: Bump containerd to 1.6.18 in hack/tools (#8523)
- Devtools: Hack/observability: add apiserver request dashboards (#8978)
- Devtools: Hack/observability: Add Grafana state dashboard, improve metrics (#8834)
- Devtools: Hack/observability: add metrics-server chart (#8950)
- Devtools: Hack/observability: add tempo (for traces) (#8920)
- Devtools: Hack/observability: Bump Loki, Grafana and promtail charts (#7182)
- Devtools: Hack/observability: disable unused loki-gateway (#8794)
- Devtools: Hack/observability: improve Grafana dashboards (#8861)
- Devtools: Hack/observability: move charts so they are ignored by go mod (#8795)
- Devtools: Hack/observability: skip preload images on non-kind clusters (#8931)
- Devtools: Hack/observability: use 20 Gi of storage for Prometheus (#8961)
- Devtools: Pin delve to match go minor version (#8725)
- Devtools: Protect well know registry from accidental push during tilt up (#8930)
- e2e: Add E2E test for MachineSet Preflight checks (#8698)
- e2e: Add improvements to scale e2e (#8910)
- e2e: Add Scale e2e - development only (#8833)
- e2e: Add SHA to default KIND image used in e2e tests (#8975)
- e2e: Assert E2E error responses when waiting for MD nodes (#8501)
- e2e: Autoscaler e2e test (#8514)
- e2e: Disable fail-fast by default for e2e tests (#8548)
- e2e: Improve gomega fail handling in clusterClass rollout (#8769)
- e2e: Improve logging for MachinePool upgrade test (#8728)
- e2e: Log leftover processes to eventually detect zombies (#8662)
- e2e: Modify scale e2e test defaults (#8902)
- e2e: Move ClusterClass quickstart test from e2e-informing to e2e-main (#8765)
- e2e: Pin cgroup driver used in v0.3 and v0.4 templates (#8684)
- e2e: Test/e2e: add field to scale test to deploy Clusters in separate namespace (#8963)
- e2e: Test/e2e: also dump workload cluster kube-system pods (#8800)
- e2e: Test/e2e: cleanup test files (#8557)
- e2e: Test/e2e: Fixup dump kube-system pods (#8809)
- e2e: Test/e2e: improve logging for a detected rollout (#8953)
- e2e: Test/e2e: increase apply timeout to 1m (#8941)
- e2e: Test/framework: add functions to collect infrastructure logs in tests (#8675)
- e2e: Unhold CI packages before installing (#7910)
- IPAM: Make IPAddressClaim.Status.AddressRef optional (#8493)
- KCP: Avoid panic if etcd server misbehaves (#8862)
- KCP: Cache secrets between LookupOrGenerate and ensureCertificatesOwnerRef (#8926)
- KCP: Cache unstructured (#8913)
- KCP: Change endpoints to endpoint in the etcd client (#8909)
- KCP: Drop redundant get machines (#8912)
- KCP: Fix noisy error log triggered by missing patch helper (#8863)
- KCP: Improve error log on scale up when Machine doesn't have a nodeRef (#8564)
- KCP: Kcp use one workload cluster for reconcile (#8900)
- KCP: Log the reason of a Machine rollout (#8959)
- KCP: Remove v1alpha2 adoption logic from KCP (#8328)
- Machine: Controller/machine: use unstructured caching client (#8896)
- Machine: Optimize `reconcileInterruptibleNodeLabel` of machine controller (#8852)
- Machine: Use providerID string as-is (#8577)
- MachineDeployment: Drop the first return value from FindOldMachineSets (#8415)
- MachineSet: Add MachineFinalizer during machine computation (#8463)
- MachineSet: Surface failed preflight checks on MachineSet in `MachinesCreated` condition (#8669)
- MULTIPLE_AREAS[ClusterCacheTracker/KCP/CABPK]: Cache secrets in KCP, CABPK and ClusterCacheTracker (#8940)
- Release: Add area label lookup for prefixes to release notes tool (#8780)
- Release: Add runtime extension components to release (#8438)
- Release: Bump kpromo to v3.5.1 (#8301)
- Release: Fixed grammatically incorrect plurals in release tools (#9054)
- Release: Improve release notes formatting (#8826)
- Release: Improve release notes output (#8928)
- Release: Make release notes generation concurrent (#8817)
- Runtime SDK: Update handler name validation rules (#8280)
- Testing: Add calico as e2e test CNI (#8420)
- Testing: Add dualstack e2e test (#8517)
- Testing: Add unit test for health check during creation of a new cluster accessor (#8269)
- Testing: Allow overriding gingko args in e2e tests (#8365)
- Testing: Fix typos in phrase "to exist" (#8688)
- Testing: Merge ownerReference tests with quick start (#8264)
- Testing: Update e2e upgrade test versions (#8361)
- Testing: Update version matrix for github workflows (#8398)
- Testing: Validating the warnings in tests (#8778)
- util: Cache list calls in cluster to objects mapper (#8918)
- util: Move `internal.labels` to `format` package for use by providers (#9006)
- util: Rename internal/util/ssa util functions for better naming consistency (#8423)

:book: Additionally, there have been 74 contributions to our documentation and book. (#8252, #8279, #8284, #8288, #8293, #8307, #8308, #8309, #8319, #8327, #8351, #8355, #8363, #8375, #8383, #8397, #8416, #8419, #8439, #8446, #8447, #8454, #8508, #8509, #8510, #8511, #8520, #8521, #8544, #8552, #8554, #8559, #8580, #8587, #8593, #8596, #8597, #8612, #8613, #8630, #8632, #8651, #8661, #8673, #8686, #8699, #8701, #8712, #8719, #8729, #8740, #8753, #8760, #8762, #8763, #8775, #8779, #8781, #8782, #8787, #8798, #8802, #8805, #8812, #8843, #8854, #8901, #8924, #8932, #8955, #8956, #8958, #8960, #8980) 

## Dependencies

### Added
- cloud.google.com/go/apigeeregistry: v0.6.0
- cloud.google.com/go/apikeys: v0.6.0
- github.com/adrg/xdg: [v0.4.0](https://github.com/adrg/xdg/tree/v0.4.0)
- github.com/alecthomas/kingpin/v2: [v2.3.1](https://github.com/alecthomas/kingpin/tree/v2.3.1)
- github.com/golang-jwt/jwt/v4: [v4.4.2](https://github.com/golang-jwt/jwt/tree/v4.4.2)
- github.com/golangplus/bytes: [v1.0.0](https://github.com/golangplus/bytes/tree/v1.0.0)
- github.com/golangplus/fmt: [v1.0.0](https://github.com/golangplus/fmt/tree/v1.0.0)
- github.com/golangplus/testing: [v1.0.0](https://github.com/golangplus/testing/tree/v1.0.0)
- github.com/google/s2a-go: [v0.1.3](https://github.com/google/s2a-go/tree/v0.1.3)
- github.com/xhit/go-str2duration: [v1.2.0](https://github.com/xhit/go-str2duration/tree/v1.2.0)
- sigs.k8s.io/kustomize/cmd/config: v0.11.1
- sigs.k8s.io/kustomize/kustomize/v5: v5.0.1

### Changed
- cloud.google.com/go/accessapproval: v1.5.0 → v1.6.0
- cloud.google.com/go/accesscontextmanager: v1.4.0 → v1.7.0
- cloud.google.com/go/aiplatform: v1.27.0 → v1.37.0
- cloud.google.com/go/analytics: v0.12.0 → v0.19.0
- cloud.google.com/go/apigateway: v1.4.0 → v1.5.0
- cloud.google.com/go/apigeeconnect: v1.4.0 → v1.5.0
- cloud.google.com/go/appengine: v1.5.0 → v1.7.1
- cloud.google.com/go/area120: v0.6.0 → v0.7.1
- cloud.google.com/go/artifactregistry: v1.9.0 → v1.13.0
- cloud.google.com/go/asset: v1.10.0 → v1.13.0
- cloud.google.com/go/assuredworkloads: v1.9.0 → v1.10.0
- cloud.google.com/go/automl: v1.8.0 → v1.12.0
- cloud.google.com/go/baremetalsolution: v0.4.0 → v0.5.0
- cloud.google.com/go/batch: v0.4.0 → v0.7.0
- cloud.google.com/go/beyondcorp: v0.3.0 → v0.5.0
- cloud.google.com/go/bigquery: v1.44.0 → v1.50.0
- cloud.google.com/go/billing: v1.7.0 → v1.13.0
- cloud.google.com/go/binaryauthorization: v1.4.0 → v1.5.0
- cloud.google.com/go/certificatemanager: v1.4.0 → v1.6.0
- cloud.google.com/go/channel: v1.9.0 → v1.12.0
- cloud.google.com/go/cloudbuild: v1.4.0 → v1.9.0
- cloud.google.com/go/clouddms: v1.4.0 → v1.5.0
- cloud.google.com/go/cloudtasks: v1.8.0 → v1.10.0
- cloud.google.com/go/compute: v1.14.0 → v1.20.1
- cloud.google.com/go/contactcenterinsights: v1.4.0 → v1.6.0
- cloud.google.com/go/container: v1.7.0 → v1.15.0
- cloud.google.com/go/containeranalysis: v0.6.0 → v0.9.0
- cloud.google.com/go/datacatalog: v1.8.0 → v1.13.0
- cloud.google.com/go/dataflow: v0.7.0 → v0.8.0
- cloud.google.com/go/dataform: v0.5.0 → v0.7.0
- cloud.google.com/go/datafusion: v1.5.0 → v1.6.0
- cloud.google.com/go/datalabeling: v0.6.0 → v0.7.0
- cloud.google.com/go/dataplex: v1.4.0 → v1.6.0
- cloud.google.com/go/dataproc: v1.8.0 → v1.12.0
- cloud.google.com/go/dataqna: v0.6.0 → v0.7.0
- cloud.google.com/go/datastore: v1.10.0 → v1.11.0
- cloud.google.com/go/datastream: v1.5.0 → v1.7.0
- cloud.google.com/go/deploy: v1.5.0 → v1.8.0
- cloud.google.com/go/dialogflow: v1.19.0 → v1.32.0
- cloud.google.com/go/dlp: v1.7.0 → v1.9.0
- cloud.google.com/go/documentai: v1.10.0 → v1.18.0
- cloud.google.com/go/domains: v0.7.0 → v0.8.0
- cloud.google.com/go/edgecontainer: v0.2.0 → v1.0.0
- cloud.google.com/go/essentialcontacts: v1.4.0 → v1.5.0
- cloud.google.com/go/eventarc: v1.8.0 → v1.11.0
- cloud.google.com/go/filestore: v1.4.0 → v1.6.0
- cloud.google.com/go/functions: v1.9.0 → v1.13.0
- cloud.google.com/go/gaming: v1.8.0 → v1.9.0
- cloud.google.com/go/gkebackup: v0.3.0 → v0.4.0
- cloud.google.com/go/gkeconnect: v0.6.0 → v0.7.0
- cloud.google.com/go/gkehub: v0.10.0 → v0.12.0
- cloud.google.com/go/gkemulticloud: v0.4.0 → v0.5.0
- cloud.google.com/go/gsuiteaddons: v1.4.0 → v1.5.0
- cloud.google.com/go/iam: v0.8.0 → v0.13.0
- cloud.google.com/go/iap: v1.5.0 → v1.7.1
- cloud.google.com/go/ids: v1.2.0 → v1.3.0
- cloud.google.com/go/iot: v1.4.0 → v1.6.0
- cloud.google.com/go/kms: v1.6.0 → v1.10.1
- cloud.google.com/go/language: v1.8.0 → v1.9.0
- cloud.google.com/go/lifesciences: v0.6.0 → v0.8.0
- cloud.google.com/go/logging: v1.6.1 → v1.7.0
- cloud.google.com/go/longrunning: v0.3.0 → v0.4.1
- cloud.google.com/go/managedidentities: v1.4.0 → v1.5.0
- cloud.google.com/go/maps: v0.1.0 → v0.7.0
- cloud.google.com/go/mediatranslation: v0.6.0 → v0.7.0
- cloud.google.com/go/memcache: v1.7.0 → v1.9.0
- cloud.google.com/go/metastore: v1.8.0 → v1.10.0
- cloud.google.com/go/monitoring: v1.8.0 → v1.13.0
- cloud.google.com/go/networkconnectivity: v1.7.0 → v1.11.0
- cloud.google.com/go/networkmanagement: v1.5.0 → v1.6.0
- cloud.google.com/go/networksecurity: v0.6.0 → v0.8.0
- cloud.google.com/go/notebooks: v1.5.0 → v1.8.0
- cloud.google.com/go/optimization: v1.2.0 → v1.3.1
- cloud.google.com/go/orchestration: v1.4.0 → v1.6.0
- cloud.google.com/go/orgpolicy: v1.5.0 → v1.10.0
- cloud.google.com/go/osconfig: v1.10.0 → v1.11.0
- cloud.google.com/go/oslogin: v1.7.0 → v1.9.0
- cloud.google.com/go/phishingprotection: v0.6.0 → v0.7.0
- cloud.google.com/go/policytroubleshooter: v1.4.0 → v1.6.0
- cloud.google.com/go/privatecatalog: v0.6.0 → v0.8.0
- cloud.google.com/go/pubsub: v1.27.1 → v1.30.0
- cloud.google.com/go/pubsublite: v1.5.0 → v1.7.0
- cloud.google.com/go/recaptchaenterprise/v2: v2.5.0 → v2.7.0
- cloud.google.com/go/recommendationengine: v0.6.0 → v0.7.0
- cloud.google.com/go/recommender: v1.8.0 → v1.9.0
- cloud.google.com/go/redis: v1.10.0 → v1.11.0
- cloud.google.com/go/resourcemanager: v1.4.0 → v1.7.0
- cloud.google.com/go/resourcesettings: v1.4.0 → v1.5.0
- cloud.google.com/go/retail: v1.11.0 → v1.12.0
- cloud.google.com/go/run: v0.3.0 → v0.9.0
- cloud.google.com/go/scheduler: v1.7.0 → v1.9.0
- cloud.google.com/go/secretmanager: v1.9.0 → v1.10.0
- cloud.google.com/go/security: v1.10.0 → v1.13.0
- cloud.google.com/go/securitycenter: v1.16.0 → v1.19.0
- cloud.google.com/go/servicecontrol: v1.5.0 → v1.11.1
- cloud.google.com/go/servicedirectory: v1.7.0 → v1.9.0
- cloud.google.com/go/servicemanagement: v1.5.0 → v1.8.0
- cloud.google.com/go/serviceusage: v1.4.0 → v1.6.0
- cloud.google.com/go/shell: v1.4.0 → v1.6.0
- cloud.google.com/go/spanner: v1.41.0 → v1.45.0
- cloud.google.com/go/speech: v1.9.0 → v1.15.0
- cloud.google.com/go/storagetransfer: v1.6.0 → v1.8.0
- cloud.google.com/go/talent: v1.4.0 → v1.5.0
- cloud.google.com/go/texttospeech: v1.5.0 → v1.6.0
- cloud.google.com/go/tpu: v1.4.0 → v1.5.0
- cloud.google.com/go/trace: v1.4.0 → v1.9.0
- cloud.google.com/go/translate: v1.4.0 → v1.7.0
- cloud.google.com/go/video: v1.9.0 → v1.15.0
- cloud.google.com/go/videointelligence: v1.9.0 → v1.10.0
- cloud.google.com/go/vision/v2: v2.5.0 → v2.7.0
- cloud.google.com/go/vmmigration: v1.3.0 → v1.6.0
- cloud.google.com/go/vmwareengine: v0.1.0 → v0.3.0
- cloud.google.com/go/vpcaccess: v1.5.0 → v1.6.0
- cloud.google.com/go/webrisk: v1.7.0 → v1.8.0
- cloud.google.com/go/websecurityscanner: v1.4.0 → v1.5.0
- cloud.google.com/go/workflows: v1.9.0 → v1.10.0
- cloud.google.com/go: v0.105.0 → v0.110.0
- github.com/alecthomas/template: [fb15b89 → a0175ee](https://github.com/alecthomas/template/compare/fb15b89...a0175ee)
- github.com/alecthomas/units: [ff826a3 → b94a6e3](https://github.com/alecthomas/units/compare/ff826a3...b94a6e3)
- github.com/census-instrumentation/opencensus-proto: [v0.2.1 → v0.4.1](https://github.com/census-instrumentation/opencensus-proto/compare/v0.2.1...v0.4.1)
- github.com/cespare/xxhash/v2: [v2.1.2 → v2.2.0](https://github.com/cespare/xxhash/compare/v2.1.2...v2.2.0)
- github.com/cncf/udpa/go: [04548b0 → c52dc94](https://github.com/cncf/udpa/compare/04548b0...c52dc94)
- github.com/cncf/xds/go: [cb28da3 → 32f1caf](https://github.com/cncf/xds/compare/cb28da3...32f1caf)
- github.com/coreos/go-systemd/v22: [v22.3.2 → v22.4.0](https://github.com/coreos/go-systemd/compare/v22.3.2...v22.4.0)
- github.com/creack/pty: [v1.1.11 → v1.1.18](https://github.com/creack/pty/compare/v1.1.11...v1.1.18)
- github.com/docker/distribution: [v2.8.1+incompatible → v2.8.2+incompatible](https://github.com/docker/distribution/compare/v2.8.1...v2.8.2)
- github.com/envoyproxy/go-control-plane: [49ff273 → v0.11.0](https://github.com/envoyproxy/go-control-plane/compare/49ff273...v0.11.0)
- github.com/envoyproxy/protoc-gen-validate: [v0.1.0 → v0.10.0](https://github.com/envoyproxy/protoc-gen-validate/compare/v0.1.0...v0.10.0)
- github.com/frankban/quicktest: [v1.14.3 → v1.14.4](https://github.com/frankban/quicktest/compare/v1.14.3...v1.14.4)
- github.com/go-errors/errors: [v1.0.1 → v1.4.2](https://github.com/go-errors/errors/compare/v1.0.1...v1.4.2)
- github.com/go-kit/kit: [v0.9.0 → v0.8.0](https://github.com/go-kit/kit/compare/v0.9.0...v0.8.0)
- github.com/go-kit/log: [v0.2.0 → v0.2.1](https://github.com/go-kit/log/compare/v0.2.0...v0.2.1)
- github.com/go-logr/logr: [v1.2.3 → v1.2.4](https://github.com/go-logr/logr/compare/v1.2.3...v1.2.4)
- github.com/go-logr/zapr: [v1.2.3 → v1.2.4](https://github.com/go-logr/zapr/compare/v1.2.3...v1.2.4)
- github.com/go-openapi/jsonpointer: [v0.19.5 → v0.19.6](https://github.com/go-openapi/jsonpointer/compare/v0.19.5...v0.19.6)
- github.com/go-openapi/jsonreference: [v0.20.0 → v0.20.1](https://github.com/go-openapi/jsonreference/compare/v0.20.0...v0.20.1)
- github.com/go-task/slim-sprig: [348f09d → 52ccab3](https://github.com/go-task/slim-sprig/compare/348f09d...52ccab3)
- github.com/golang/glog: [23def4e → v1.1.0](https://github.com/golang/glog/compare/23def4e...v1.1.0)
- github.com/google/pprof: [94a9f03 → 4bb14d4](https://github.com/google/pprof/compare/94a9f03...4bb14d4)
- github.com/googleapis/enterprise-certificate-proxy: [v0.2.1 → v0.2.3](https://github.com/googleapis/enterprise-certificate-proxy/compare/v0.2.1...v0.2.3)
- github.com/googleapis/gax-go/v2: [v2.7.0 → v2.8.0](https://github.com/googleapis/gax-go/compare/v2.7.0...v2.8.0)
- github.com/hashicorp/consul/api: [v1.18.0 → v1.20.0](https://github.com/hashicorp/consul/compare/api/v1.18.0...api/v1.20.0)
- github.com/inconshreveable/mousetrap: [v1.0.1 → v1.1.0](https://github.com/inconshreveable/mousetrap/compare/v1.0.1...v1.1.0)
- github.com/konsorten/go-windows-terminal-sequences: [v1.0.3 → v1.0.1](https://github.com/konsorten/go-windows-terminal-sequences/compare/v1.0.3...v1.0.1)
- github.com/kr/pretty: [v0.3.0 → v0.3.1](https://github.com/kr/pretty/compare/v0.3.0...v0.3.1)
- github.com/matttproud/golang_protobuf_extensions: [v1.0.2 → v1.0.4](https://github.com/matttproud/golang_protobuf_extensions/compare/v1.0.2...v1.0.4)
- github.com/moby/term: [39b0c02 → 1aeaba8](https://github.com/moby/term/compare/39b0c02...1aeaba8)
- github.com/onsi/ginkgo/v2: [v2.9.1 → v2.11.0](https://github.com/onsi/ginkgo/compare/v2.9.1...v2.11.0)
- github.com/onsi/gomega: [v1.27.4 → v1.27.8](https://github.com/onsi/gomega/compare/v1.27.4...v1.27.8)
- github.com/pelletier/go-toml/v2: [v2.0.6 → v2.0.8](https://github.com/pelletier/go-toml/compare/v2.0.6...v2.0.8)
- github.com/prometheus/client_golang: [v1.14.0 → v1.16.0](https://github.com/prometheus/client_golang/compare/v1.14.0...v1.16.0)
- github.com/prometheus/client_model: [v0.3.0 → v0.4.0](https://github.com/prometheus/client_model/compare/v0.3.0...v0.4.0)
- github.com/prometheus/common: [v0.37.0 → v0.42.0](https://github.com/prometheus/common/compare/v0.37.0...v0.42.0)
- github.com/prometheus/procfs: [v0.8.0 → v0.10.1](https://github.com/prometheus/procfs/compare/v0.8.0...v0.10.1)
- github.com/rogpeppe/go-internal: [v1.6.1 → v1.10.0](https://github.com/rogpeppe/go-internal/compare/v1.6.1...v1.10.0)
- github.com/sagikazarmark/crypt: [v0.9.0 → v0.10.0](https://github.com/sagikazarmark/crypt/compare/v0.9.0...v0.10.0)
- github.com/sirupsen/logrus: [v1.8.1 → v1.9.0](https://github.com/sirupsen/logrus/compare/v1.8.1...v1.9.0)
- github.com/spf13/afero: [v1.9.3 → v1.9.5](https://github.com/spf13/afero/compare/v1.9.3...v1.9.5)
- github.com/spf13/cast: [v1.5.0 → v1.5.1](https://github.com/spf13/cast/compare/v1.5.0...v1.5.1)
- github.com/spf13/cobra: [v1.6.1 → v1.7.0](https://github.com/spf13/cobra/compare/v1.6.1...v1.7.0)
- github.com/spf13/viper: [v1.15.0 → v1.16.0](https://github.com/spf13/viper/compare/v1.15.0...v1.16.0)
- github.com/stretchr/testify: [v1.8.1 → v1.8.3](https://github.com/stretchr/testify/compare/v1.8.1...v1.8.3)
- github.com/tmc/grpc-websocket-proxy: [e5319fd → 673ab2c](https://github.com/tmc/grpc-websocket-proxy/compare/e5319fd...673ab2c)
- go.etcd.io/etcd/api/v3: v3.5.6 → v3.5.9
- go.etcd.io/etcd/client/pkg/v3: v3.5.6 → v3.5.9
- go.etcd.io/etcd/client/v2: v2.305.6 → v2.305.7
- go.etcd.io/etcd/client/v3: v3.5.6 → v3.5.9
- go.etcd.io/etcd/pkg/v3: v3.5.5 → v3.5.7
- go.etcd.io/etcd/raft/v3: v3.5.5 → v3.5.7
- go.etcd.io/etcd/server/v3: v3.5.5 → v3.5.7
- go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp: v0.35.0 → v0.35.1
- go.uber.org/goleak: v1.2.0 → v1.2.1
- golang.org/x/crypto: v0.3.0 → v0.11.0
- golang.org/x/lint: 6edffad → 83fdc39
- golang.org/x/mod: v0.9.0 → v0.10.0
- golang.org/x/net: v0.8.0 → v0.12.0
- golang.org/x/oauth2: v0.6.0 → v0.10.0
- golang.org/x/sync: v0.1.0 → v0.2.0
- golang.org/x/sys: v0.6.0 → v0.10.0
- golang.org/x/term: v0.6.0 → v0.10.0
- golang.org/x/text: v0.8.0 → v0.11.0
- golang.org/x/tools: v0.7.0 → v0.9.3
- gomodules.xyz/jsonpatch/v2: v2.2.0 → v2.3.0
- google.golang.org/api: v0.107.0 → v0.122.0
- google.golang.org/genproto: f9683d7 → daa745c
- google.golang.org/grpc: v1.52.0 → v1.55.0
- google.golang.org/protobuf: v1.28.1 → v1.31.0
- gopkg.in/square/go-jose.v2: v2.2.2 → v2.6.0
- k8s.io/api: v0.26.1 → v0.27.2
- k8s.io/apiextensions-apiserver: v0.26.1 → v0.27.2
- k8s.io/apimachinery: v0.26.1 → v0.27.2
- k8s.io/apiserver: v0.26.1 → v0.27.2
- k8s.io/cli-runtime: v0.25.0 → v0.27.2
- k8s.io/client-go: v0.26.1 → v0.27.2
- k8s.io/cluster-bootstrap: v0.25.0 → v0.27.2
- k8s.io/code-generator: v0.26.1 → v0.27.2
- k8s.io/component-base: v0.26.1 → v0.27.2
- k8s.io/component-helpers: v0.25.0 → v0.27.2
- k8s.io/klog/v2: v2.80.1 → v2.90.1
- k8s.io/kms: v0.26.1 → v0.27.2
- k8s.io/kube-openapi: 172d655 → 8b0f38b
- k8s.io/kubectl: v0.25.0 → v0.27.2
- k8s.io/metrics: v0.25.0 → v0.27.2
- k8s.io/utils: 99ec85e → a36077c
- sigs.k8s.io/apiserver-network-proxy/konnectivity-client: v0.0.35 → v0.1.2
- sigs.k8s.io/controller-runtime: v0.14.5 → v0.15.0
- sigs.k8s.io/json: f223a00 → bc3834c
- sigs.k8s.io/kustomize/api: v0.12.1 → v0.13.2
- sigs.k8s.io/kustomize/kyaml: v0.13.9 → v0.14.1

### Removed
- github.com/PuerkitoBio/purell: [v1.1.1](https://github.com/PuerkitoBio/purell/tree/v1.1.1)
- github.com/PuerkitoBio/urlesc: [de5bf2a](https://github.com/PuerkitoBio/urlesc/tree/de5bf2a)
- github.com/elazarl/goproxy: [947c36d](https://github.com/elazarl/goproxy/tree/947c36d)
- github.com/form3tech-oss/jwt-go: [v3.2.3+incompatible](https://github.com/form3tech-oss/jwt-go/tree/v3.2.3)
- github.com/niemeyer/pretty: [a10e7ca](https://github.com/niemeyer/pretty/tree/a10e7ca)
- github.com/russross/blackfriday: [v1.5.2](https://github.com/russross/blackfriday/tree/v1.5.2)
- gotest.tools/v3: v3.0.3
- sigs.k8s.io/kustomize/kustomize/v4: v4.5.7

_Thanks to all our contributors!_ 😊
